##
##  lua-curl.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_lua    5.4
%define       V_curl   1.2.1

#   package information
Name:         lua-curl
Summary:      Lua Extension: cURL Bindings
URL:          http://luaforge.net/projects/luacurl/
Vendor:       Diego Nehab
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      MIT
Version:      %{V_curl}
Release:      20211227

#   list of sources
Source0:      http://files.luaforge.net/releases/luacurl/luacurl/luacurl-%{V_curl}/luacurl-%{V_curl}.zip
Patch0:       lua-curl.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  lua, curl
PreReq:       lua, curl

%description
    This is the Lua extension package for binding to the cURL library.

%track
    prog lua-curl = {
        version   = %{V_curl}
        url       = http://files.luaforge.net/releases/luacurl/luacurl
        regex     = luacurl-(__VER__)
    }

%prep
    %setup -q -n luacurl-%{V_curl}
    %patch -p0

%build
    %{l_shtool} subst %{l_value -s -a} CMakeLists.txt
    DESTDIR=$RPM_BUILD_ROOT%{l_prefix} \
    cmake \
        -DCMAKE_BUILD_TYPE="Release" \
        -DCMAKE_INSTALL_PREFIX="%{l_prefix}" \
        -DCMAKE_C_COMPILER="%{l_cc}" \
        -DCMAKE_CXX_COMPILER="%{l_cxx}" \
        -DCMAKE_C_FLAGS="%{l_cflags} %{l_cppflags lua .}" \
        -DCMAKE_CXX_FLAGS="%{l_cxxflags} %{l_cppflags lua .}" \
        -DCMAKE_EXE_LINKER_FLAGS="%{l_ldflags}" \
        .
    %{l_make} %{l_mflags}

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/lib/lua/%{V_lua}
    %{l_shtool} install -c -m 644 \
        libProject.so $RPM_BUILD_ROOT%{l_prefix}/lib/lua/%{V_lua}/curl.so
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

